curl --request GET \
--url https://api.syntage.com/schedulers/rules/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/schedulers/rules/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/schedulers/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/SchedulerRule",
"@id": "/schedulers/rules/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "SchedulerRule",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"scheduler": "Daily Invoices Scheduler",
"extractor": "invoice",
"options": {
"period": {
"from": "2024-01-01",
"to": "2024-12-31"
},
"types": [
"I",
"E",
"P"
],
"issued": true,
"received": true,
"complement": -1,
"pdf": true,
"xml": true
},
"cronExpression": "@daily",
"nextRunDate": "2020-01-01T12:15:00.000Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a scheduler rule
Retrieve a scheduler rule by ID.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Scheduler rule resource response
Scheduler Rule IRI reference
"/schedulers/rules/91106968-1abd-4d64-85c1-4e73d96fb997"
JSON-LD resource type
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Scheduler that owns this rule
"Daily Invoices Scheduler"
Extractor to run, which retrieves resources from the corresponding datasource
invoice, monthly_tax_return, annual_tax_return, rif_tax_return, tax_status, tax_retention, tax_compliance, electronic_accounting, sat_certificates, rpc, buro_de_credito_report, bil, rug, background_check, infonavit Options are specific to the selected extractor. Select the schema matching the extractor; extractors not listed here do not accept options.
- Invoice extraction options
- Tax retention extraction options
- Annual tax return extraction options
- Monthly tax return extraction options
- RIF tax return extraction options
- Electronic accounting extraction options
- RPC extraction options
- Buró de Crédito report extraction options
Show child attributes
Show child attributes
Cron expression that controls when the rule runs
"@daily"
Date and time the resource should execute in the next iteration
"2020-01-01T12:15:00.000Z"
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?